| OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
OpenMesh::VDPM::VHierarchyNode Class Reference

Vertex hierarchy node. More...

`#include <OpenMesh/Tools/VDPM/VHierarchyNode.hh>`

## Public Member Functions
bool | is_root () const
| Returns true, if node is root else false.
bool | is_leaf () const
| Returns true, if node is leaf else false.
VHierarchyNodeHandle | parent_handle ()
| Returns parent handle.
VHierarchyNodeHandle | lchild_handle ()
| Returns handle to left child.
VHierarchyNodeHandle | rchild_handle ()
| Returns handle to right child.
void | set_parent_handle (VHierarchyNodeHandle _parent_handle)
void | set_children_handle (VHierarchyNodeHandle _lchild_handle)
VertexHandle | vertex_handle () const
float | radius () const
const OpenMesh::Vec3f & | normal () const
float | sin_square () const
float | mue_square () const
float | sigma_square () const
void | set_vertex_handle (OpenMesh::VertexHandle _vh)
void | set_radius (float _radius)
void | set_normal (const OpenMesh::Vec3f &_normal)
void | set_sin_square (float _sin_square)
void | set_mue_square (float _mue_square)
void | set_sigma_square (float _sigma_square)
void | set_semi_angle (float _semi_angle)
void | set_mue (float _mue)
void | set_sigma (float _sigma)
const VHierarchyNodeIndex & | node_index () const
const VHierarchyNodeIndex & | fund_lcut_index () const
const VHierarchyNodeIndex & | fund_rcut_index () const
VHierarchyNodeIndex & | node_index ()
VHierarchyNodeIndex & | fund_lcut_index ()
VHierarchyNodeIndex & | fund_rcut_index ()
void | set_index (const VHierarchyNodeIndex &_node_index)
void | set_fund_lcut (const VHierarchyNodeIndex &_node_index)
void | set_fund_rcut (const VHierarchyNodeIndex &_node_index)

## Detailed Description

Vertex hierarchy node.

Todo:
  Complete documentation

The documentation for this class was generated from the following file:

- OpenMesh/Tools/VDPM/VHierarchyNode.hh